<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: StdDriver/inc/wdt.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">wdt.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/de2/wdt_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __WDT_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __WDT_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40d302804bb9f2ee0bf28caac9b7b82b">   32</a></span><span class="preprocessor">#define WDT_TIMEOUT_2POW4          (0UL &lt;&lt; WDT_WTCR_WTIS_Pos) </span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga199a40282f99161bab7c7b9e0a3e900f">   33</a></span><span class="preprocessor">#define WDT_TIMEOUT_2POW6          (1UL &lt;&lt; WDT_WTCR_WTIS_Pos) </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabaad8360992525da5c86b267e2900c04">   34</a></span><span class="preprocessor">#define WDT_TIMEOUT_2POW8          (2UL &lt;&lt; WDT_WTCR_WTIS_Pos) </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab04478b5a13afdedd001d22212e40716">   35</a></span><span class="preprocessor">#define WDT_TIMEOUT_2POW10         (3UL &lt;&lt; WDT_WTCR_WTIS_Pos) </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc2b0af3ecf6be71ebb2ef0584560eb1">   36</a></span><span class="preprocessor">#define WDT_TIMEOUT_2POW12         (4UL &lt;&lt; WDT_WTCR_WTIS_Pos) </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2c19cd50d5344568bc43f1d324ca5917">   37</a></span><span class="preprocessor">#define WDT_TIMEOUT_2POW14         (5UL &lt;&lt; WDT_WTCR_WTIS_Pos) </span></div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d8419a9bcdd7b94c2c03ad9a89788c7">   38</a></span><span class="preprocessor">#define WDT_TIMEOUT_2POW16         (6UL &lt;&lt; WDT_WTCR_WTIS_Pos) </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../db/d56/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga48e0f9050a0b74cfd0679bc04233fad2">   39</a></span><span class="preprocessor">#define WDT_TIMEOUT_2POW18         (7UL &lt;&lt; WDT_WTCR_WTIS_Pos)  </span><span class="comment">/* end of group MINI51_WDT_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1dfc74e1dc2191290cafe393e7f4eda8">   52</a></span><span class="preprocessor">#define WDT_CLEAR_RESET_FLAG()  (WDT-&gt;WTCR = (WDT-&gt;WTCR &amp; ~(WDT_WTCR_WTIF_Msk | WDT_WTCR_WTWKF_Msk)) | WDT_WTCR_WTRF_Msk)</span></div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16c65c2211c5071873a7651183044893">   58</a></span><span class="preprocessor">#define WDT_CLEAR_TIMEOUT_INT_FLAG() (WDT-&gt;WTCR = (WDT-&gt;WTCR &amp; ~(WDT_WTCR_WTRF_Msk | WDT_WTCR_WTWKF_Msk)) | WDT_WTCR_WTIF_Msk)</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga16005b63d605513449d1309bac67ebd2">   64</a></span><span class="preprocessor">#define WDT_CLEAR_TIMEOUT_WAKEUP_FLAG() (WDT-&gt;WTCR = (WDT-&gt;WTCR &amp; ~(WDT_WTCR_WTRF_Msk | WDT_WTCR_WTIF_Msk)) | WDT_WTCR_WTWKF_Msk)</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6b16a3819e767164baea0f15a589c699">   73</a></span><span class="preprocessor">#define WDT_GET_RESET_FLAG() (WDT-&gt;WTCR &amp; WDT_WTCR_WTRF_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga145a9deb3b6fc638f4f1dd840335d0b7">   82</a></span><span class="preprocessor">#define WDT_GET_TIMEOUT_INT_FLAG() (WDT-&gt;WTCR &amp; WDT_WTCR_WTIF_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga666b1e936d4a59736a2b689438e7edc1">   91</a></span><span class="preprocessor">#define WDT_GET_TIMEOUT_WAKEUP_FLAG() (WDT-&gt;WTCR &amp; WDT_WTCR_WTWKF_Msk ? 1 : 0)</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span> </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab8ac835baa6227e84ae08a200b172069">   99</a></span><span class="preprocessor">#define WDT_RESET_COUNTER() (WDT-&gt;WTCR  = (WDT-&gt;WTCR &amp; ~(WDT_WTCR_WTIF_Msk | WDT_WTCR_WTWKF_Msk | WDT_WTCR_WTRF_Msk)) | WDT_WTCR_WTR_Msk)</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span><span class="keywordtype">void</span>  <a class="code hl_function" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a>(uint32_t u32TimeoutInterval,</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>               uint32_t u32ResetDelay,</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>               uint32_t u32EnableReset,</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>               uint32_t u32EnableWakeup);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c5ba21aaa03db0d9c037156cf98a6ae">WDT_Close</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad4e5a59a764a06c56110d1ef3aefb81d">WDT_EnableInt</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5161f1a4e918d0e3491eb63ea7bf2aef">WDT_DisableInt</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span> <span class="comment">/* end of group MINI51_WDT_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> <span class="comment">/* end of group MINI51_WDT_Driver */</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> <span class="comment">/* end of group MINI51_Device_Driver */</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>}</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span><span class="preprocessor">#endif </span><span class="comment">//__WDT_H__</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="agroup___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4c5ba21aaa03db0d9c037156cf98a6ae"><div class="ttname"><a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4c5ba21aaa03db0d9c037156cf98a6ae">WDT_Close</a></div><div class="ttdeci">void WDT_Close(void)</div><div class="ttdoc">This function stops WDT counting and disable WDT module.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1a/wdt_8c_source.html#l00060">wdt.c:60</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga5161f1a4e918d0e3491eb63ea7bf2aef"><div class="ttname"><a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5161f1a4e918d0e3491eb63ea7bf2aef">WDT_DisableInt</a></div><div class="ttdeci">void WDT_DisableInt(void)</div><div class="ttdoc">This function disables the WDT time-out interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1a/wdt_8c_source.html#l00082">wdt.c:82</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad4e5a59a764a06c56110d1ef3aefb81d"><div class="ttname"><a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad4e5a59a764a06c56110d1ef3aefb81d">WDT_EnableInt</a></div><div class="ttdeci">void WDT_EnableInt(void)</div><div class="ttdoc">This function enables the WDT time-out interrupt.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1a/wdt_8c_source.html#l00071">wdt.c:71</a></div></div>
<div class="ttc" id="agroup___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gae150a7a3e9d1e05a12fc6fd81af68a04"><div class="ttname"><a href="../../d7/d1b/group___m_i_n_i51___w_d_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae150a7a3e9d1e05a12fc6fd81af68a04">WDT_Open</a></div><div class="ttdeci">void WDT_Open(uint32_t u32TimeoutInterval, uint32_t u32ResetDelay, uint32_t u32EnableReset, uint32_t u32EnableWakeup)</div><div class="ttdoc">This function make WDT module start counting with different time-out interval.</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d1a/wdt_8c_source.html#l00043">wdt.c:43</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:39 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
